<?php

namespace App\Filament\Resources\StructurePedagogiques\Tables;

use App\Actions\DownloadTemplateAction;
use App\Actions\ExportExcelAction;
use App\Actions\ImportExcelAction;
use App\Imports\StructurePedagogiqueImport;
use App\Exports\StructurePedagogiqueExport;
use Filament\Actions\BulkActionGroup;
use Filament\Actions\DeleteBulkAction;
use Filament\Actions\EditAction;
use Filament\Tables\Table;

class StructurePedagogiquesTable
{
    public static function configure(Table $table): Table
    {
        return $table
            ->columns([
                //
            ])
            ->filters([
                //
            ])
            ->recordActions([
                EditAction::make(),
            ])
            ->toolbarActions([
                ImportExcelAction::makeImport(StructurePedagogiqueImport::class),
                ExportExcelAction::makeExport(StructurePedagogiqueExport::class, 'structures_pedagogiques_export.xlsx'),
                DownloadTemplateAction::makeTemplate('structure_pedagogique', 'template_structures_pedagogiques.xlsx'),
                BulkActionGroup::make([
                    DeleteBulkAction::make(),
                ]),
            ]);
    }
}
